openapi: "3.0.1"
info:
  title: Toolforge API
  version: "1.0.0"
  description: |-
    [Toolforge](https://toolforge.org) is a free
    [platform as a service](https://en.wikipedia.org/wiki/Platform_as_a_service) for Wikimedia contributors. It
    provides web servers, data access, job management, and other features to help developers maintain tools and bots.

    Some useful links:
      * [Main toolforge page](https://toolforge.org)
      * [Wiki page, with the detailed deprecation process](https://wikitech.wikimedia.org/wiki/Help:Toolforge/API)
      * [Cloud-announce mailing list](https://lists.wikimedia.org/postorius/lists/cloud-announce.lists.wikimedia.org/)
        where major notices are sent
      * [Toolforge changelog page](https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Changelog), where smaller
        updates are published

servers:
  - url: "placeholder to be replaced by the settings"

# this will be filled
paths: {}

components:
  schemas: {}
